Bug 587925 - Newsgroup Unread message count and handling is broken
Newsgroup Unread message count and handling is broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-01 11:35 EDT by Keith G. Robertson-Turner
Modified: 2010-12-03 10:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:13:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 261201 None None None Never
Mozilla Foundation 438257 None None None Never
Mozilla Foundation 446228 None None None Never

  None (edit)
Description Keith G. Robertson-Turner 2010-05-01 11:35:00 EDT
Description of problem:
The unread message count, printed next to the group name, bears no relation to the actual number of unread messages. Also, when opening the group and selecting view unread threads, threads which contain no unread messages are displayed.

Version-Release number of selected component (if applicable):
thunderbird-3.0.4-1.fc12.i686

How reproducible: Always
Launch thunderbird and view the unread message count for any newsgroup, then open the group and view unread threads, to see a marked discrepancy.

Steps to Reproduce:
1. Install thunderbird
2. Add newsgroup account and a group with a large number of articles
3. Continue to use thunderbird for a few days
  
Actual results:
Eventually the unread message count starts to bear no relation to the actual number of unread messages, and viewing "unread threads" also shows entire threads with no unread messages.

Expected results:
Thunderbird should handle unread message counts and threads properly

Additional info:
The unread message count issue is years old (upstream), but this problem with completely read threads being displayed when choosing to view unread threads is new.
Comment 1 Sebastian Krämer 2010-11-03 09:41:18 EDT
I've seen this too for quite some time now (and several TB versions)..
Comment 2 Bug Zapper 2010-11-03 11:54:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Sebastian Krämer 2010-11-04 05:31:28 EDT
It's still an issue with TB 3.1.6 (F14).
Please increase the version number to 14.
Comment 4 Bug Zapper 2010-12-03 10:13:48 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.